---
layout: default
---

{% assign books = site.posts | where: 'layout', 'book' %}

<div class="row books row-cols-1 row-cols-md-3 row-cols-lg-4">
  {%- for book in books -%}
    <article
      {% include_cached cart_controller.html product=book extra=book.author %}
      class="col d-flex flex-column justify-content-between book mb-3">
      <header class="position-relative">
        <div class="text-center">
          <img
            class="img-fluid"
            src="{{ book.image.path | thumbnail: nil, 300 }}"
            alt="{{ book.image.description | default: book.title }}"
            loading="lazy" />
        </div>

        <h1 class="f-4 mt-3">{{ book.title }}</h1>

        <a class="stretched-link" href="{{ book.url }}"></a>
      </header>

      <p>{{ book.author | join: ', ' }}</p>

      
      {%- include_cached cart_add.html product=book -%}
      
    </article>
  {%- endfor %}
</div>
